<?php
/**
 * Template: Header.php 
 *
 * @package RedLine
 * @subpackage Template
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--BEGIN html-->
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<!-- Built on WP Framework (RedLine Theme) -->

<!--BEGIN head-->
<head profile="<?php get_profile_uri(); ?>">

	<title><?php semantic_title(); ?></title>

	<!-- Meta Tags -->
	<meta http-equiv="Content-Type" content="<?php bloginfo( 'html_type' ); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="generator" content="WordPress" />

	<!-- Favicon: Browser + iPhone Webclip -->
	<link rel="shortcut icon" href="<?php echo IMAGES . '/favicon.ico'; ?>" />
	<link rel="apple-touch-icon" href="<?php echo IMAGES . '/iphone.png'; ?>" />

	<!-- Stylesheets -->
	<link rel="stylesheet" href="<?php bloginfo( 'stylesheet_url' ); ?>" type="text/css" media="screen, projection" />
	<link rel="stylesheet" href="<?php echo CSS . '/print.css'; ?>" type="text/css" media="print" />

  	<!-- Links: RSS + Atom Syndication + Pingback etc. -->
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?> RSS Feed" href="<?php bloginfo( 'rss2_url' ); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo( 'rss_url' ); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo( 'atom_url' ); ?>" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

	<!-- Theme Hook -->
    <?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); // loads the javascript required for threaded comments ?>
	<?php wp_head(); ?>

<!--END head-->
</head>

<!--BEGIN body-->
<body class="<?php semantic_body(); ?>">

  <div id="feedarea"><!-- Begin feedarea -->
	<dl>
	<dt><strong>RSS:</strong></dt>
	<dd><a href="<?php bloginfo('rss2_url'); ?>">Publications</a></dd>
	<dd><a href="<?php bloginfo('comments_rss2_url'); ?>">Comments</a></dd>
	</dl>
  </div><!-- end id:feedarea -->

	<!--BEGIN .container-->
	<div class="container">
 		<!--BEGIN .header-->
		<div class="header">
		
		<div id="topmenu"><!-- Pages & Search -->
		<!-- Pages menu -->
		<?php wp_page_menu( 'show_home=1&number=10' ); ?> <!-- END Pages -->
			<div id="search_box"><!-- BEGIN Search Area -->
			<form method="get" id="searchform" action="<?php bloginfo('home'); ?>/">
			<input type="text" value="Search" name="s" id="s" onfocus="if (this.value == 'Search') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Search';}" />
			<input type="image" src="<?php bloginfo('template_directory'); ?>/library/media/images/search.png" align="top" alt="Search" id="searchIcon" value="Search" />
			</form></div> <!-- END Search Area -->
		</div><!-- END Pages & Search -->
		
		<div id="logo"><a href="<?php bloginfo( 'url' ); ?>"><?php bloginfo( 'name' ) ?> </a>
			<p id="tagline"><?php bloginfo( 'description' ) ?></p>
		</div>
		
		<!--END .header-->
		</div>

		<!--BEGIN #content-->
		<div id="content">
		<div id="catg"><!-- Categories menu -->
			<ul class="nav">
			<?php wp_list_categories('number=10&exclude=1&title_li='); ?>
			</ul>
		</div><!-- END Categories menu -->